Bug 851153 - SELinux is preventing /usr/bin/nspluginviewer from 'write' accesses on the file /home/ss/.kde/share/icons/nmfnms/index.theme.
SELinux is preventing /usr/bin/nspluginviewer from 'write' accesses on the fi...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:fe53043a2e2f800148cb2f7606d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 07:33 EDT by sahinsureyya
Modified: 2012-08-27 07:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-27 07:44:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sahinsureyya 2012-08-23 07:33:14 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.5.2-1.fc17.x86_64
time:           Thu 23 Aug 2012 07:32:31 AM EDT

description:
:SELinux is preventing /usr/bin/nspluginviewer from 'write' accesses on the file /home/ss/.kde/share/icons/nmfnms/index.theme.
:
:*****  Plugin restorecon (94.8 confidence) suggests  *************************
:
:If you want to fix the label. 
:/home/ss/.kde/share/icons/nmfnms/index.theme default label should be config_home_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /home/ss/.kde/share/icons/nmfnms/index.theme
:
:*****  Plugin catchall_labels (5.21 confidence) suggests  ********************
:
:If you want to allow nspluginviewer to have write access on the index.theme file
:Then you need to change the label on /home/ss/.kde/share/icons/nmfnms/index.theme
:Do
:# semanage fcontext -a -t FILE_TYPE '/home/ss/.kde/share/icons/nmfnms/index.theme'
:where FILE_TYPE is one of the following: mozilla_plugin_tmp_t, user_fonts_cache_t, user_tmp_t, user_tmpfs_t, afs_cache_t, mozilla_plugin_t, mozilla_plugin_tmpfs_t, pulseaudio_home_t, gnome_home_type, home_cert_t, user_cron_spool_t, mozilla_home_t. 
:Then execute: 
:restorecon -v '/home/ss/.kde/share/icons/nmfnms/index.theme'
:
:
:*****  Plugin catchall (1.44 confidence) suggests  ***************************
:
:If you believe that nspluginviewer should be allowed write access on the index.theme file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep nspluginviewer /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:usr_t:s0
:Target Objects                /home/ss/.kde/share/icons/nmfnms/index.theme [
:                              file ]
:Source                        nspluginviewer
:Source Path                   /usr/bin/nspluginviewer
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           kde-baseapps-4.8.5-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-145.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.2-1.fc17.x86_64 #1 SMP Wed Aug
:                              15 16:09:27 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-08-23 07:30:39 EDT
:Last Seen                     2012-08-23 07:30:39 EDT
:Local ID                      b776ca9e-11a4-47aa-84ff-ef729b0ddbf9
:
:Raw Audit Messages
:type=AVC msg=audit(1345721439.810:70): avc:  denied  { write } for  pid=21017 comm="nspluginviewer" name="index.theme" dev="dm-2" ino=7081398 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:usr_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1345721439.810:70): arch=x86_64 syscall=access success=no exit=EACCES a0=248ab08 a1=2 a2=248ab01 a3=2 items=0 ppid=20964 pid=21017 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=1 comm=nspluginviewer exe=/usr/bin/nspluginviewer subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: nspluginviewer,mozilla_plugin_t,usr_t,file,write
:
:audit2allow
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t usr_t:file write;
:
:audit2allow -R
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t usr_t:file write;
:
Comment 1 Miroslav Grepl 2012-08-27 07:44:26 EDT
PLease execute

# restorecon -R -v  /home/ss/.kde

will fix it.

Note You need to log in before you can comment on or make changes to this bug.